import { defineStore } from 'pinia'

export type Source = {
  id: string
  name: string
}

export type Round = {
  quote: string
  sources: Array<Source>
}

export const useRoundStore = defineStore('RoundStore', {
  state: () => {
    return {
      round: {
        quote: '',
        sources: [],
      } as Round,
    }
  },
  actions: {
    setRound(round: Round): void {
      round = round || {} as Round
      this.round.quote = round.quote
      this.round.sources = round.sources
    },
  },
})
